Package twisted :: Package python :: Module otp

[show private | hide private]
[frames | no frames]

## Module twisted.python.otp

A One-Time Password System based on RFC 2289

The class Authenticator contains the hashing-logic, and the parser for the readable output. It also contains challenge which returns a string describing the authentication scheme for a client.

OTP is a password container for an user on a server.

NOTE: Does not take care of transmitting the shared secret password.

At the end there's a dict called dict which is dictionary contain 2048 words for storing pronouncable 11-bit values. Taken from RFC 1760.

Uses the MD5- and SHA-algorithms for hashing

Todo: RFC2444, SASL (perhaps), parsing hex-responses

Classes
`OTP` | An automatic version of the OTP-Authenticator
`OTPAuthenticator` | A One Time Password System

Exceptions
`Unauthorized` | the Unauthorized exception

Function Summary
| ``longToString`(l)` Convert long to digest
| ``stringToDWords`(s)` Convert digest to a list of four 32-bits words
| ``stringToLong`(s)` Convert digest to long

Variable Summary
`list` | `dict`
`dict` | `hashid`
`int` | `INITIALSEQUENCE`
`int` | `MINIMUMSEQUENCE`

Function Details

### longToString(l)

Convert long to digest

### stringToDWords(s)

Convert digest to a list of four 32-bits words

### stringToLong(s)

Convert digest to long

Variable Details

### dict

  Type:
    `list`
  Value:

        ['A',
         'ABE',
         'ACE',
         'ACT',
         'AD',
         'ADA',
         'ADD',
         'AGO',
        ...

### hashid

  Type:
    `dict`
  Value:

        {<module 'md5' from '/usr/lib/python2.2/lib-dynload/md5.so'>: 'md5',
         <module 'sha' from '/usr/lib/python2.2/lib-dynload/sha.so'>: 'sha1'}

### INITIALSEQUENCE

  Type:
    `int`
  Value:

        1000

### MINIMUMSEQUENCE

  Type:
    `int`
  Value:

        50

Generated by Epydoc 1.1 on Thu May 8 13:18:56 2003 | http://epydoc.sf.net